## pamixer-1.4-6.src.tar.gz

=== Makefile ===
LDLIBS   ?= -lpulse -lboost_program_options
CXXFLAGS ?= -std=c++11 -Wall -Werror -Wextra -pedantic
PREFIX   ?= /usr/local
RM       ?= rm -f

target   := pamixer
main     := $(addsuffix .cc,$(target))
objects  := $(addsuffix .o,callbacks device pulseaudio)

## Target if make is invoked without any parameters (goal)
.DEFAULT_GOAL: all

## "Virtual" targets without actual files to update/create
.PHONY: all clean distclean install


all: $(target)

$(target): $(main) $(objects)

clean:
	$(RM) $(objects)

distclean: clean
	$(RM) $(target)

install: pamixer
	install $(target) $(PREFIX)/bin/

=== PKGBUILD ===
# Maintainer: Anatol Pomozov
# Contributor: Clément Démoulins <clement@archivel.fr>

pkgname=pamixer
pkgver=1.4
pkgrel=6
pkgdesc='Pulseaudio command-line mixer like amixer'
arch=(x86_64)
url='https://github.com/cdemoulins/pamixer'
license=(GPL3)
depends=(libpulse boost-libs)
makedepends=(boost)
source=(pamixer-$pkgver.tar.gz::https://github.com/cdemoulins/$pkgname/archive/$pkgver.tar.gz)
sha1sums=('89cf2ba58be3b6523599af976dd2478a7e714133')

build() {
  cd pamixer-$pkgver
  make
}

package() {
  cd pamixer-$pkgver
  install -D -m755 pamixer "$pkgdir"/usr/bin/pamixer
}
